package com.fjs.scenic.mapper.common;

import java.util.List;
import java.util.Map;

import com.fjs.scenic.entity.news.News;

/**
 * This class is used for ...
 *
 * @author lfj
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public interface BaseMapper<T> {
    /**
     * 根据ID删除
     * @param id
     * @return
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * 新增
     * @param record
     * @return
     */
    int insert(T record);

    /**
     * 选择性新增
     * @param record
     * @return
     */
    int insertSelective(T record);

    /**
     * 根据ID查询
     * @param id
     * @return
     */
    T selectByPrimaryKey(Integer id);

    /**
     * 选择性修改
     * @param record
     * @return
     */
    int updateByPrimaryKeySelective(T record);

    /**
     * 修改
     * @param record
     * @return
     */
    int updateByPrimaryKey(T record);

    /**
     * 根据条件查询全部
     * @param manage
     * @return
     */
    List<T> selectAll(T manage);
    
}
